import { WarrantRequestOptions } from "../types/WarrantRequestOptions";
import Query from "../types/Query";
import Warrant, { ListWarrantOptions, WarrantParams } from "../types/Warrant";
export default class WarrantModule {
    static create(warrant: WarrantParams, options?: WarrantRequestOptions): Promise<Warrant>;
    static delete(warrant: WarrantParams, options?: WarrantRequestOptions): Promise<void>;
    static queryWarrants(query: Query, listOptions?: ListWarrantOptions, options?: WarrantRequestOptions): Promise<Warrant[]>;
}
