import Check, { CheckMany, FeatureCheck, PermissionCheck } from "../types/Check";
import { WarrantRequestOptions } from "../types/WarrantRequestOptions";
export default class Authorization {
    static check(check: Check, options?: WarrantRequestOptions): Promise<boolean>;
    static checkMany(check: CheckMany, options?: WarrantRequestOptions): Promise<boolean>;
    static hasFeature(featureCheck: FeatureCheck, options?: WarrantRequestOptions): Promise<boolean>;
    static hasPermission(permissionCheck: PermissionCheck, options?: WarrantRequestOptions): Promise<boolean>;
    private static authorize;
    private static edgeAuthorize;
    private static mapWarrantsForRequest;
}
